# You can override the included template(s) by including variable overrides
# SAST customization: https://docs.gitlab.com/ee/user/application_security/sast/#customizing-the-sast-settings
# Secret Detection customization: https://docs.gitlab.com/ee/user/application_security/secret_detection/#customizing-settings
# Dependency Scanning customization: https://docs.gitlab.com/ee/user/application_security/dependency_scanning/#customizing-the-dependency-scanning-settings
# Container Scanning customization: https://docs.gitlab.com/ee/user/application_security/container_scanning/#customizing-the-container-scanning-settings
# Note that environment variables can be set in several places
# See https://docs.gitlab.com/ee/ci/variables/#cicd-variable-precedence
stages:
- train
- test

train:
  stage: train
  image: registry.gitlab.com/delrosario.jeanc/neuro-motivation
  script:
    - echo TRAINNING_TYPE -> $TRAINNING_TYPE
    - python3 dev/train.py -t $TRAINNING_TYPE
    - echo $GOOGLE_APPLICATION_CREDENTIALS_JSON
    - curl --silent "https://gitlab.com/gitlab-org/incubation-engineering/mobile-devops/download-secure-files/-/raw/main/installer" | bash
    - gcloud auth activate-service-account --key-file=.secure_files/gcloud.json
    - gcloud storage cp model/model.pkl gs://neuro-motivation/model/model.pkl


  when: manual

sast:
  stage: test
include:
- template: Security/SAST.gitlab-ci.yml
